DNS_RECORD_RRSET(1)

NAME
dns_record_rrset -

DESCRIPTION

A collection of DNS records of the same domain and type. For more information about record types, see Resource Record (RR) TYPEs <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-4>.

AVAILABLE COMMANDS

•   delete

•   get

•   patch

•   update

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes all records in the specified RRSet.

When the zone name is provided as a path parameter and PRIVATE is used for the scope query parameter then the viewId query parameter is required.

  Usage

oci dns record rrset delete [OPTIONS]

  Required Parameters

--domain [text]

    The target fully-qualified domain name (FQDN) within the target zone.

--rtype [text]

    The type of the target RRSet within the target zone.

--zone-name-or-id [text]

    The name or OCID of the target zone.

  Optional Parameters

--compartment-id, -c [text]

    The OCID of the compartment the zone belongs to.

    This parameter is deprecated and should be omitted.

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    The If-Match header field makes the request method conditional on the existence of at least one current representation of the target resource, when the field-value is *, or having a current representation of the target resource that has an entity-tag matching a member of the list of entity-tags provided in the field-value.

--if-unmodified-since [text]

    The If-Unmodified-Since header field makes the request method conditional on the selected representation’s last modification date being earlier than or equal to the date provided in the field-value. This field accomplishes the same purpose as If-Match for cases where the user agent does not have an entity-tag for the representation.

--scope [text]

    Specifies to operate only on resources that have a matching DNS scope.

    Accepted values are:

    GLOBAL, PRIVATE

--view-id [text]

    The OCID of the view the zone is associated with. Required when accessing a private zone by name.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export domain=<substitute-value-of-domain> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/delete.html#cmdoption-domain
    export rtype=<substitute-value-of-rtype> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/delete.html#cmdoption-rtype
    export zone_name_or_id=<substitute-value-of-zone_name_or_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/delete.html#cmdoption-zone-name-or-id
    oci dns record rrset delete --domain $domain --rtype $rtype --zone-name-or-id $zone_name_or_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Gets a list of all records in the specified RRSet.

The results are sorted by recordHash by default. When the zone name is provided as a path parameter and PRIVATE is used for the scope query parameter then the viewId query parameter is required.

  Usage

oci dns record rrset get [OPTIONS]

  Required Parameters

--domain [text]

    The target fully-qualified domain name (FQDN) within the target zone.

--rtype [text]

    The type of the target RRSet within the target zone.

--zone-name-or-id [text]

    The name or OCID of the target zone.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--compartment-id, -c [text]

    The OCID of the compartment the zone belongs to.

    This parameter is deprecated and should be omitted.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-modified-since [text]

    The If-Modified-Since header field makes a GET or HEAD request method conditional on the selected representation’s modification date being more recent than the date provided in the field-value. Transfer of the selected representation’s data is avoided if that data has not changed.

--if-none-match [text]

    The If-None-Match header field makes the request method conditional on the absence of any current representation of the target resource, when the field-value is *, or having a selected representation with an entity-tag that does not match any of those listed in the field-value.

--limit [integer]

    The maximum number of items to return in a page of the collection.

--page [text]

    The value of the opc-next-page response header from the previous “List” call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--scope [text]

    Specifies to operate only on resources that have a matching DNS scope.

    Accepted values are:

    GLOBAL, PRIVATE

--view-id [text]

    The OCID of the view the zone is associated with. Required when accessing a private zone by name.

--zone-version [text]

    The version of the zone for which data is requested.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export domain=<substitute-value-of-domain> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/get.html#cmdoption-domain
    export rtype=<substitute-value-of-rtype> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/get.html#cmdoption-rtype
    export zone_name_or_id=<substitute-value-of-zone_name_or_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/get.html#cmdoption-zone-name-or-id
    oci dns record rrset get --domain $domain --rtype $rtype --zone-name-or-id $zone_name_or_id

  patch

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Updates records in the specified RRSet.

When the zone name is provided as a path parameter and PRIVATE is used for the scope query parameter then the viewId query parameter is required.

  Usage

oci dns record rrset patch [OPTIONS]

  Required Parameters

--domain [text]

    The target fully-qualified domain name (FQDN) within the target zone.

--rtype [text]

    The type of the target RRSet within the target zone.

--zone-name-or-id [text]

    The name or OCID of the target zone.

  Optional Parameters

--compartment-id, -c [text]

    The OCID of the compartment the zone belongs to.

    This parameter is deprecated and should be omitted.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    The If-Match header field makes the request method conditional on the existence of at least one current representation of the target resource, when the field-value is *, or having a current representation of the target resource that has an entity-tag matching a member of the list of entity-tags provided in the field-value.

--if-unmodified-since [text]

    The If-Unmodified-Since header field makes the request method conditional on the selected representation’s last modification date being earlier than or equal to the date provided in the field-value. This field accomplishes the same purpose as If-Match for cases where the user agent does not have an entity-tag for the representation.

--items [complex type]

    This option is a JSON list with items of type RecordOperation. For documentation on RecordOperation please see our API reference: https://docs.cloud.oracle.com/api/#/en/dns/20180115/datatypes/RecordOperation. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--scope [text]

    Specifies to operate only on resources that have a matching DNS scope.

    Accepted values are:

    GLOBAL, PRIVATE

--view-id [text]

    The OCID of the view the zone is associated with. Required when accessing a private zone by name.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export domain=<substitute-value-of-domain> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/patch.html#cmdoption-domain
    export rtype=<substitute-value-of-rtype> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/patch.html#cmdoption-rtype
    export zone_name_or_id=<substitute-value-of-zone_name_or_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/patch.html#cmdoption-zone-name-or-id
    oci dns record rrset patch --domain $domain --rtype $rtype --zone-name-or-id $zone_name_or_id

  update

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Replaces records in the specified RRSet.

When the zone name is provided as a path parameter and PRIVATE is used for the scope query parameter then the viewId query parameter is required.

  Usage

oci dns record rrset update [OPTIONS]

  Required Parameters

--domain [text]

    The target fully-qualified domain name (FQDN) within the target zone.

--rtype [text]

    The type of the target RRSet within the target zone.

--zone-name-or-id [text]

    The name or OCID of the target zone.

  Optional Parameters

--compartment-id, -c [text]

    The OCID of the compartment the zone belongs to.

    This parameter is deprecated and should be omitted.

--force

    Perform update without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    The If-Match header field makes the request method conditional on the existence of at least one current representation of the target resource, when the field-value is *, or having a current representation of the target resource that has an entity-tag matching a member of the list of entity-tags provided in the field-value.

--if-unmodified-since [text]

    The If-Unmodified-Since header field makes the request method conditional on the selected representation’s last modification date being earlier than or equal to the date provided in the field-value. This field accomplishes the same purpose as If-Match for cases where the user agent does not have an entity-tag for the representation.

--items [complex type]

    This option is a JSON list with items of type RecordDetails. For documentation on RecordDetails please see our API reference: https://docs.cloud.oracle.com/api/#/en/dns/20180115/datatypes/RecordDetails. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--scope [text]

    Specifies to operate only on resources that have a matching DNS scope.

    Accepted values are:

    GLOBAL, PRIVATE

--view-id [text]

    The OCID of the view the zone is associated with. Required when accessing a private zone by name.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export domain=<substitute-value-of-domain> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/update.html#cmdoption-domain
    export rtype=<substitute-value-of-rtype> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/update.html#cmdoption-rtype
    export zone_name_or_id=<substitute-value-of-zone_name_or_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dns/record/rrset/update.html#cmdoption-zone-name-or-id
    oci dns record rrset update --domain $domain --rtype $rtype --zone-name-or-id $zone_name_or_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle